
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef TRACK_TARGET_SCAN_H
#define TRACK_TARGET_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/platineTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genBasicTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"


/* Structures du module */
#include "server/track_targetPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_TRACK_TARGET_TARGETPOS_POSTER_STR (char** buf, struct TRACK_TARGET_TARGETPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_TRACK_TARGET_PLATINEPOSREF_POSTER_STR (char** buf, struct TRACK_TARGET_PLATINEPOSREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_TRACK_TARGET_STR (char** buf, struct TRACK_TARGET_STR *x, int nDim, int *dims );
int scan_buf_struct_TRACK_TARGET_SEARCH (char** buf, struct TRACK_TARGET_SEARCH *x, int nDim, int *dims );
int scan_buf_struct_TRACK_TARGET_TRACK (char** buf, struct TRACK_TARGET_TRACK *x, int nDim, int *dims );
int scan_buf_struct_TRACK_TARGET_INIT (char** buf, struct TRACK_TARGET_INIT *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_TRACK_TARGET_INIT (char** buf, TRACK_TARGET_INIT *x, int nDim, int *dims );
int scan_buf_TRACK_TARGET_TRACK (char** buf, TRACK_TARGET_TRACK *x, int nDim, int *dims );
int scan_buf_TRACK_TARGET_SEARCH (char** buf, TRACK_TARGET_SEARCH *x, int nDim, int *dims );
int scan_buf_TRAJ_MONITOR_STR (char** buf, TRAJ_MONITOR_STR *x, int nDim, int *dims );
int scan_buf_TRACK_TARGET_PLATINEPOSREF_POSTER_STR (char** buf, TRACK_TARGET_PLATINEPOSREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_TRACK_TARGET_TARGETPOS_POSTER_STR (char** buf, TRACK_TARGET_TARGETPOS_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* TRACK_TARGET_SCAN_H */

